## sway-notification-center 0.9.0

=== meson_options.txt ===
option('systemd-service', type: 'boolean', value: true, description: 'Install systemd user service unit.')
option('scripting', type: 'boolean', value: true, description: 'Enable notification scripting.')
option('man-pages', type: 'boolean', value: true, description: 'Install all man pages.')
option('zsh-completions', type: 'boolean', value: true, description: 'Install zsh shell completions.')
option('bash-completions', type: 'boolean', value: true, description: 'Install bash shell completions.')
option('fish-completions', type: 'boolean', value: true, description: 'Install fish shell completions.')

## sway-notification-center 0.7.2

=== debian/changelog ===
sway-notification-center (0.7.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1024331)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Fri, 26 Aug 2022 15:30:16 -0700

=== debian/control ===
Source: sway-notification-center
Section: x11
Priority: optional
Maintainer: Matthias Geiger <matthias.geiger1024@tutanota.de>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 valac,
 bash-completion,
 meson (>= 0.50.0),
 cmake,
 libgtk-3-dev,
 libjson-glib-dev,
 libhandy-1-dev,
 libgtk-layer-shell-dev,
 scdoc,
 libgirepository1.0-dev
Standards-Version: 4.6.1
Homepage: https://github.com/ErikReider/SwayNotificationCenter
Vcs-Browser: https://salsa.debian.org/werdahias/sway-notification-center
Vcs-Git: https://salsa.debian.org/werdahias/sway-notification-center.git

Package: sway-notification-center
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: simple notification daemon for sway
 A simple notification daemon for sway with a GTK gui for notifications
 and the control center.

## sway-notification-center 0.7.3

=== debian/changelog ===
sway-notification-center (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Added correct Vcs fields in d/control
  * Source-only upload

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Thu, 26 Jan 2023 08:37:59 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libgtk-layer-shell-dev,
  scdoc,
  libgirepository1.0-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ErikReider/SwayNotificationCenter
 Vcs-Browser: https://salsa.debian.org/werdahias/sway-notification-center
 Vcs-Git: https://salsa.debian.org/werdahias/sway-notification-center.git

## sway-notification-center 0.9.0

=== debian/changelog ===
sway-notification-center (0.9.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:22:31 +1100

sway-notification-center (0.9.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:02:16 +0000

sway-notification-center (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Added new B-Ds and versioned them.

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Tue, 13 Jun 2023 18:06:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: sway-notification-center
 Section: x11
 Priority: optional
-Maintainer: Matthias Geiger <matthias.geiger1024@tutanota.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Geiger <matthias.geiger1024@tutanota.de>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  valac,
  bash-completion,
- meson (>= 0.50.0),
+ meson (>= 0.59.0),
  cmake,
+ libgee-0.8-dev,
  libgtk-3-dev,
  libjson-glib-dev,
- libhandy-1-dev,
+ libhandy-1-dev (>= 1.3.9),
  libgtk-layer-shell-dev,
- scdoc,
+ libpulse-dev,
+ scdoc (>= 1.9.2),
  libgirepository1.0-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/ErikReider/SwayNotificationCenter

## sway-notification-center 0.10.1

=== debian/changelog ===
sway-notification-center (0.10.1-2) unstable; urgency=medium

  * Install systemd service to correct location (Closes: #1071511)

 -- Matthias Geiger <werdahias@riseup.net>  Tue, 21 May 2024 13:12:09 +0200

sway-notification-center (0.10.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1071367)
  * Add gbp.conf
  * Depend on sassc and libgranite-dev; required for new upstream
  * Updated my mail address in d/copyright, d/control; updated copyright
    years

 -- Matthias Geiger <werdahias@riseup.net>  Sun, 19 May 2024 23:00:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sway-notification-center
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Geiger <matthias.geiger1024@tutanota.de>
+Maintainer: Matthias Geiger <werdahias@riseup.net>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -15,8 +14,10 @@
  libjson-glib-dev,
  libhandy-1-dev (>= 1.3.9),
  libgtk-layer-shell-dev,
+ libgranite-dev,
  libpulse-dev,
  scdoc (>= 1.9.2),
+ sassc,
  libgirepository1.0-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/ErikReider/SwayNotificationCenter

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

## sway-notification-center 0.11.0

=== debian/changelog ===
sway-notification-center (0.11.0-1) unstable; urgency=medium

  * New upstream release
  * Bump S-V to 4.7.2; no changes needed
  * d/patches: Refresh systemd path patch, add headers
  * Add patch to use correct zsh completion dir

 -- Matthias Geiger <werdahias@debian.org>  Sat, 12 Apr 2025 16:21:55 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  scdoc (>= 1.9.2),
  sassc,
  libgirepository1.0-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/ErikReider/SwayNotificationCenter
 Vcs-Browser: https://salsa.debian.org/werdahias/sway-notification-center
 Vcs-Git: https://salsa.debian.org/werdahias/sway-notification-center.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/swaynotificationcenter-$1\.tar\.gz/ \
  https://github.com/ErikReider/SwayNotificationCenter/tags .*/v?(\d\S*)\.tar\.gz

## sway-notification-center 0.12.1

=== debian/changelog ===
sway-notification-center (0.12.1-1) unstable; urgency=medium

  * New upstream release
    - sway-notification-center now uses GTK4
  * d/control: Update build-dependencies for new upstream
  * d/rules: Delete extra whitespace

 -- Matthias Geiger <werdahias@debian.org>  Tue, 19 Aug 2025 16:17:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,19 @@
  debhelper-compat (= 13),
  valac,
  bash-completion,
+ blueprint-compiler,
  meson (>= 0.59.0),
- cmake,
+ libgtk-4-dev (>= 4.16.13),
+ libadwaita-1-dev,
  libgee-0.8-dev,
- libgtk-3-dev,
- libjson-glib-dev,
+ libglib2.0-dev,
+ libjson-glib-dev (>= 1.0),
  libhandy-1-dev (>= 1.3.9),
- libgtk-layer-shell-dev,
- libgranite-dev,
+ libgtk4-layer-shell-dev (>= 1.0.4),
+ libgranite-7-dev (>= 7.5.0),
  libpulse-dev,
  scdoc (>= 1.9.2),
  sassc,
- libgirepository1.0-dev
 Standards-Version: 4.7.2
 Homepage: https://github.com/ErikReider/SwayNotificationCenter
 Vcs-Browser: https://salsa.debian.org/werdahias/sway-notification-center

## sway-notification-center 0.12.2

=== debian/changelog ===
sway-notification-center (0.12.2-1) unstable; urgency=medium

  * New upstream release
  * d/control: Version libadwaita dependency

 -- Matthias Geiger <werdahias@debian.org>  Wed, 03 Sep 2025 11:36:09 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  blueprint-compiler,
  meson (>= 0.59.0),
  libgtk-4-dev (>= 4.16.13),
- libadwaita-1-dev,
+ libadwaita-1-dev (>= 1.6.1),
  libgee-0.8-dev,
  libglib2.0-dev,
  libjson-glib-dev (>= 1.0),

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,3 @@
 
 %:
 	dh $@
-

## sway-notification-center 0.12.3

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 option('systemd-service', type: 'boolean', value: true, description: 'Install systemd user service unit.')
 option('scripting', type: 'boolean', value: true, description: 'Enable notification scripting.')
+option('pulse-audio', type: 'boolean', value: true, description: 'Provide PulseAudio Widget.')
 option('man-pages', type: 'boolean', value: true, description: 'Install all man pages.')
 option('zsh-completions', type: 'boolean', value: true, description: 'Install zsh shell completions.')
 option('bash-completions', type: 'boolean', value: true, description: 'Install bash shell completions.')

=== debian/changelog ===
sway-notification-center (0.12.3-1) unstable; urgency=medium

  * New upstream release
  * d/control: Drop Rules-Requires-Root field

 -- Matthias Geiger <werdahias@debian.org>  Sat, 08 Nov 2025 16:07:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: x11
 Priority: optional
 Maintainer: Matthias Geiger <werdahias@riseup.net>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  valac,

## sway-notification-center 0.12.4

=== debian/changelog ===
sway-notification-center (0.12.4-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump S-V to 4.7.3; drop priority: optional

 -- Matthias Geiger <werdahias@debian.org>  Thu, 29 Jan 2026 20:16:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sway-notification-center
 Section: x11
-Priority: optional
 Maintainer: Matthias Geiger <werdahias@riseup.net>
 Build-Depends:
  debhelper-compat (= 13),
@@ -19,7 +18,7 @@
  libpulse-dev,
  scdoc (>= 1.9.2),
  sassc,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/ErikReider/SwayNotificationCenter
 Vcs-Browser: https://salsa.debian.org/werdahias/sway-notification-center
 Vcs-Git: https://salsa.debian.org/werdahias/sway-notification-center.git
